# erreurs.h File Reference

## Defines
#define | DEBUG(y, z) printf("%s %d %s | %s : %d###\n",__FILE__,__LINE__,__func__,y,(unsigned int)z)
#define | DEBUGX(y, z) printf("%s %d %s | %s : %X###\n",__FILE__,__LINE__,__func__,y,(unsigned int)z)
#define | UNIMPLEMENTED printf("%s %d %s non implémenté !\n",__FILE__,__LINE__,__func__);
#define | UNTESTED printf("%s %d %s ŕ tester !\n",__FILE__,__LINE__,__func__);
#define | Erreur(n) Erreur_fonction(n, __FILE__,__LINE__,__func__)
## Functions
void | Erreur_fonction (int, const char *, int, const char *)

## Define Documentation

#define DEBUG | ( | y,
|  | z |  | ) | printf("%s %d %s | %s : %d###\n",__FILE__,__LINE__,__func__,y,(unsigned int)z)

Referenced by Definir_mode_video(), Initialisation_du_programme(), Load_PCX(), Sauve_fond(), and Set_Mode_SDL().

#define DEBUGX | ( | y,
|  | z |  | ) | printf("%s %d %s | %s : %X###\n",__FILE__,__LINE__,__func__,y,(unsigned int)z)

#define UNIMPLEMENTED printf("%s %d %s non implémenté !\n",__FILE__,__LINE__,__func__);

#define UNTESTED printf("%s %d %s ŕ tester !\n",__FILE__,__LINE__,__func__);

#define Erreur | ( | n |  | ) | Erreur_fonction(n, __FILE__,__LINE__,__func__)

Referenced by Analyse_de_la_ligne_de_commande(), Bouton_Autosave(), Bouton_Load_ou_Save(), Bouton_Resol(), Bouton_Texte(), Capturer_brosse(), Capturer_brosse_au_lasso(), Charger_DAT(), Charger_image(), Chercher_bas(), Chercher_droite(), Creer_nouvelle_page(), Ecrire(), Etirer_brosse(), Fenetre_controle(), Fermeture_du_programme(), Initialisation_du_programme(), Lire_bloc(), Nibble_brush(), Outline_brush(), Recuperer_couleur_derriere_fenetre(), Rotate_90_deg(), Sauver_image(), Save_picture(), Settings_Charger_config(), Settings_Sauver_config(), Test_duplic(), Tourner_brosse(), and Validation().

## Function Documentation

void Erreur_fonction | ( | int | ,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  |

References Afficher_syntaxe(), ERREUR_CFG_ABSENT, ERREUR_CFG_ANCIEN, ERREUR_CFG_CORROMPU, ERREUR_DRIVER_SOURIS, ERREUR_GUI_ABSENT, ERREUR_GUI_CORROMPU, ERREUR_INI_ABSENT, ERREUR_INI_CORROMPU, ERREUR_LIGNE_COMMANDE, ERREUR_MEMOIRE, ERREUR_MODE_INTERDIT, ERREUR_REPERTOIRE_DISPARU, ERREUR_SAUVEGARDE_CFG, ERREUR_SAUVEGARDE_INI, ERREUR_SORRY_SORRY_SORRY, Ligne_INI, Principal_Palette, and Set_palette().